package es.verdnatura.presentation.view.feature.paletizador.model

import es.verdnatura.presentation.view.feature.articulo.model.BarcodeVO

class ItemExpeditionTruckVO(
    var truckFk: String = "",
    var ETD: String = "",
    var Destino: String = "",
    var description: String = "",
    var isError: Boolean = false,
    var errorMessage: String = ""
)


class ItemExpeditionTruckList(
    var list: List<ItemExpeditionTruckVO> = listOf()
)

class itemExpedetionState(
    var isError: Boolean = false,
    var errorMessage: String = "",
    var list: MutableList<itemsExpeditionDynamics>

)

class itemsExpeditionDynamics(
    var key: String = "",
    var value: String? = null
)

class ItemExpeditionStateRow(
    var title: String? = "",
    var value: String? = "",
    var isEditable: Boolean = true,
    var action: String = "",
    var barcodes: List<BarcodeVO> = listOf()
)
